require(["applications/nbi/js/filtering/filterHandler", "dojo/domReady!"],
    function (filterHandler) {

        if (!window.location.href.includes("index?_docs")) {
            return;
        }

        var uiElems = {
            resourceSearch: document.getElementById("resourceSearch"),
            aggregationDropdown: document.getElementById("aggregationDropdown"),
            sortingDropdown: document.getElementById("sortingDropdown"),
            filteringDropdown: document.getElementById("filteringDropdown"),
            productVerDropdown: document.getElementById("productVerDropdown"),
            apiVerDropdown: document.getElementById("apiVerDropdown"),
            resetFilter: document.getElementById("resetFilter")
        }

        filterHandler.updateFilter(uiElems);

        resourceSearch.addEventListener("input", function (evt) {
            console.log("Filter by the keyword: " + uiElems.resourceSearch.value);
            filterHandler.updateFilter(uiElems);
        });

        aggregationDropdown.addEventListener("change", function (evt) {
            console.log("Filter by the 'aggregation': " + uiElems.aggregationDropdown.value);
            filterHandler.updateFilter(uiElems);
        });

        sortingDropdown.addEventListener("change", function (evt) {
            console.log("Filter by the 'sorting': " + uiElems.sortingDropdown.value);
            filterHandler.updateFilter(uiElems);
        });

        filteringDropdown.addEventListener("change", function (evt) {
            console.log("Filter by the 'filtering': " + uiElems.filteringDropdown.value);
            filterHandler.updateFilter(uiElems);
        });

        productVerDropdown.addEventListener("change", function (evt) {
            console.log("Filter by the product version: " + uiElems.productVerDropdown.value);
            filterHandler.updateFilter(uiElems);
        });

        apiVerDropdown.addEventListener("change", function (evt) {
            console.log("Filter by the API version: " + uiElems.apiVerDropdown.value);
            filterHandler.updateFilter(uiElems);
        });

        resetFilter.addEventListener("click", function () {
            console.log("Reset filter");
            uiElems.aggregationDropdown.value = "All";
            uiElems.sortingDropdown.value = "All";
            uiElems.filteringDropdown.value = "All";
            uiElems.productVerDropdown.value = "All";
            uiElems.apiVerDropdown.value = "All"
            uiElems.resourceSearch.value = "";
            filterHandler.updateFilter(uiElems);
        });
    });